Name:          xsettingsd
Version:       1.0.2
Release:       1mamba
Summary:       A daemon that implements the XSETTINGS specification
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/derat/xsettingsd.git
Source:        https://github.com/derat/xsettingsd.git/v%{version}/xsettingsd-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libX11-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: scons

%description
A daemon that implements the XSETTINGS specification.

%debug_package

%prep
%setup -q

%build
scons xsettingsd dump_xsettings

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m755 xsettingsd dump_xsettings -t %{buildroot}%{_bindir}
install -Dm644 xsettingsd.1 dump_xsettings.1 -t %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/dump_xsettings
%{_bindir}/xsettingsd
%{_mandir}/man1/dump_xsettings.1*
%{_mandir}/man1/xsettingsd.1*
%doc COPYING

%changelog
* Thu Feb 25 2021 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created using the webbuild interface
